Subject: bug#14040: 24.3.50; building on OpenSuSE 12.3

From: John ffitch <[email-masked]>
Date: Sat, 30 Mar 2013 09:21:55 +0000 (GMT)

I finally managed to solve the issue -- what was missing was xml2
so the message was misleading.  No idea why it was missing -- I had just 
upgraded from suSE12.2 to 12.3 and it sems to have failed to keep xml2
However the configure script did not check.

So there is still an issue, but it no longer affects me

On Fri, 29 Mar 2013, Glenn Morris wrote:

> john ffitch wrote:
>
>> I have failed to build emacs from bzr on a SuSE 12.3 machine.  Asking
>> in the SuSE forum I was pointed at
>> https://build.opensuse.org/package/view_file?expand=1&file=emacs-24.1-tinfo.dif&package=emacs&project=editors
>> which patches the configure script with a new library for tputs
>> (tinfo).  Clwearly I could apply the patch but it would go away.  Can
>> it be applied in the master sources?
>
> This doesn't make sense, because configure.ac already checks for tinfo,
> since 2012-05-01. Perhaps you could give the actual details of the build
> failure.
>
> (The fact that configure.ac hardcodes LIBS_TERMCAP on many platforms,
> ignoring the test it has just done, has always seem dodgy to me.)
>
>
>
>